/*
Navicat MySQL Data Transfer

Source Server         : Вебинар соединение
Source Server Version : 50541
Source Host           : localhost:3306
Source Database       : test-shop-2

Target Server Type    : MYSQL
Target Server Version : 50541
File Encoding         : 65001

Date: 2015-09-16 23:39:14
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `roles`
-- ----------------------------
DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of roles
-- ----------------------------
INSERT INTO `roles` VALUES ('2', 'Модератор');
INSERT INTO `roles` VALUES ('3', 'Пользователь');
INSERT INTO `roles` VALUES ('4', 'Суперадминистратор');
INSERT INTO `roles` VALUES ('5', 'Гость');
INSERT INTO `roles` VALUES ('6', 'Контент менеджер');
INSERT INTO `roles` VALUES ('7', 'Партнер');

-- ----------------------------
-- Table structure for `role_rules`
-- ----------------------------
DROP TABLE IF EXISTS `role_rules`;
CREATE TABLE `role_rules` (
  `role_id` int(11) unsigned NOT NULL,
  `rule_id` int(11) unsigned NOT NULL,
  UNIQUE KEY `role_id_2` (`role_id`,`rule_id`),
  KEY `role_id` (`role_id`),
  KEY `rule_id` (`rule_id`),
  CONSTRAINT `role_rules_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `role_rules_ibfk_2` FOREIGN KEY (`rule_id`) REFERENCES `rules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of role_rules
-- ----------------------------
INSERT INTO `role_rules` VALUES ('2', '1');
INSERT INTO `role_rules` VALUES ('2', '2');
INSERT INTO `role_rules` VALUES ('2', '4');
INSERT INTO `role_rules` VALUES ('3', '1');

-- ----------------------------
-- Table structure for `rules`
-- ----------------------------
DROP TABLE IF EXISTS `rules`;
CREATE TABLE `rules` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rules
-- ----------------------------
INSERT INTO `rules` VALUES ('4', 'Добавление материала');
INSERT INTO `rules` VALUES ('8', 'Изменение прав пользователю');
INSERT INTO `rules` VALUES ('5', 'Копирование материала');
INSERT INTO `rules` VALUES ('1', 'Просмотр материала');
INSERT INTO `rules` VALUES ('2', 'Редактирование материала');
INSERT INTO `rules` VALUES ('6', 'Редактирование пользователя');
INSERT INTO `rules` VALUES ('3', 'Удаление материала');
INSERT INTO `rules` VALUES ('7', 'Удаление пользователя');

-- ----------------------------
-- Table structure for `users`
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `birthday` date DEFAULT NULL,
  `password` char(5) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `email` varchar(100) NOT NULL COMMENT 'email пользователя',
  `role` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `active` (`active`),
  KEY `role` (`role`) USING BTREE,
  CONSTRAINT `users_ibfk_1` FOREIGN KEY (`role`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of users
-- ----------------------------
INSERT INTO `users` VALUES ('2', 'Валентин', 'Гордиенко', '2015-09-14', '54321', '1', 'val@gmail.com', '2');
